You are not logged in.

#1 2024-04-11 03:48:23

UristPenguin
Member
Registered: 2024-04-11
Posts: 3

[Archinstall script] ERROR: Failed to install packages to new root

Hi Everyone

I am trying to Install Arch Linux on a Virtual machine, tried installing using the archinstall script and ran into the following issue multiple times.

Host System: Windows 11
Virtualization technology: Hyper-V
Internet: yes (ping archlinux.org works)


Hardware model detected: Microsoft Corporation Virtual Machine; UEFI mode: True
Processor model detected: Intel(R) Core(TM) i9-14900K
Memory statistics: 3494996 available out of 4009732 total installed
Virtualization detected: microsoft; is VM: True
ISO: archlinux-2024.04.01-x86_64

Could not strap in packages: ['/usr/bin/pacstrap', '-C', '/etc/pacman.conf', '-K', '/mnt/archinstall', 'base', 'base-devel', 'linux-firmware', 'linux', 'linux-lts', '--noconfirm'] exited with abnormal exit code [1]: ==> Creating install root at /mnt/archinstall
==> Installing packages to /mnt/archinstall
[?25l:: Synchronizing package databases...
error: failed to synchronize all databases (unable to lock database)
[?25h==> ERROR: Failed to install packages to new root

Pacstrap failed. See /var/log/archinstall/install.log or above message for error details: ['/usr/bin/pacstrap', '-C', '/etc/pacman.conf', '-K', '/mnt/archinstall', 'base', 'base-devel', 'linux-firmware', 'linux', 'linux-lts', '--noconfirm'] exited with abnormal exit code [1]: ==> Creating install root at /mnt/archinstall
==> Installing packages to /mnt/archinstall
[?25l:: Synchronizing package databases...
error: failed to synchronize all databases (unable to lock database)
[?25h==> ERROR: Failed to install packages to new root

Traceback (most recent call last):
  File "/usr/lib/python3.11/site-packages/archinstall/lib/pacman/__init__.py", line 50, in ask
    func(*args, **kwargs)
  File "/usr/lib/python3.11/site-packages/archinstall/lib/general.py", line 365, in __init__
    self.create_session()
  File "/usr/lib/python3.11/site-packages/archinstall/lib/general.py", line 414, in create_session
    with SysCommandWorker(
  File "/usr/lib/python3.11/site-packages/archinstall/lib/general.py", line 197, in __exit__
    raise SysCallError(
archinstall.lib.exceptions.SysCallError: ['/usr/bin/pacstrap', '-C', '/etc/pacman.conf', '-K', '/mnt/archinstall', 'base', 'base-devel', 'linux-firmware', 'linux', 'linux-lts', '--noconfirm'] exited with abnormal exit code [1]: ==> Creating install root at /mnt/archinstall
==> Installing packages to /mnt/archinstall
[?25l:: Synchronizing package databases...
error: failed to synchronize all databases (unable to lock database)
[?25h==> ERROR: Failed to install packages to new root


During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/lib/python3.11/site-packages/archinstall/__init__.py", line 332, in run_as_a_module
    main()
  File "/usr/lib/python3.11/site-packages/archinstall/__init__.py", line 327, in main
    importlib.import_module(mod_name)
  File "/usr/lib/python3.11/importlib/__init__.py", line 126, in import_module
    return _bootstrap._gcd_import(name[level:], package, level)
           ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "<frozen importlib._bootstrap>", line 1204, in _gcd_import
  File "<frozen importlib._bootstrap>", line 1176, in _find_and_load
  File "<frozen importlib._bootstrap>", line 1147, in _find_and_load_unlocked
  File "<frozen importlib._bootstrap>", line 690, in _load_unlocked
  File "<frozen importlib._bootstrap_external>", line 940, in exec_module
  File "<frozen importlib._bootstrap>", line 241, in _call_with_frames_removed
  File "/usr/lib/python3.11/site-packages/archinstall/scripts/guided.py", line 256, in <module>
    perform_installation(archinstall.storage.get('MOUNT_POINT', Path('/mnt')))
  File "/usr/lib/python3.11/site-packages/archinstall/scripts/guided.py", line 118, in perform_installation
    with Installer(
  File "/usr/lib/python3.11/site-packages/archinstall/lib/installer.py", line 109, in __exit__
    raise exc_val
  File "/usr/lib/python3.11/site-packages/archinstall/scripts/guided.py", line 142, in perform_installation
    installation.minimal_installation(
  File "/usr/lib/python3.11/site-packages/archinstall/lib/installer.py", line 671, in minimal_installation
    self.pacman.strap(self.base_packages)
  File "/usr/lib/python3.11/site-packages/archinstall/lib/pacman/__init__.py", line 82, in strap
    self.ask(
  File "/usr/lib/python3.11/site-packages/archinstall/lib/pacman/__init__.py", line 56, in ask
    raise RequirementError(f'{bail_message}: {err}')
archinstall.lib.exceptions.RequirementError: Pacstrap failed. See /var/log/archinstall/install.log or above message for error details: ['/usr/bin/pacstrap', '-C', '/etc/pacman.conf', '-K', '/mnt/archinstall', 'base', 'base-devel', 'linux-firmware', 'linux', 'linux-lts', '--noconfirm'] exited with abnormal exit code [1]: ==> Creating install root at /mnt/archinstall
==> Installing packages to /mnt/archinstall
[?25l:: Synchronizing package databases...
error: failed to synchronize all databases (unable to lock database)
[?25h==> ERROR: Failed to install packages to new root

____________________

Let me know if you have any ideas on what's going on or what can I do to fix my install.
thanks!

Last edited by UristPenguin (2024-04-12 09:00:38)

Offline

#2 2024-04-11 07:28:46

WorMzy
Forum Moderator
From: Scotland
Registered: 2010-06-16
Posts: 12,117
Website

Re: [Archinstall script] ERROR: Failed to install packages to new root

Please edit your post to make use of code tags.

https://wiki.archlinux.org/title/Genera … s_and_code

Mod note: moving to Archinstall subforum.


Sakura:-
Mobo: MSI MAG X570S TORPEDO MAX // Processor: AMD Ryzen 9 5950X @4.9GHz // GFX: AMD Radeon RX 5700 XT // RAM: 32GB (4x 8GB) Corsair DDR4 (@ 3000MHz) // Storage: 1x 3TB HDD, 6x 1TB SSD, 2x 120GB SSD, 1x 275GB M2 SSD

Making lemonade from lemons since 2015.

Offline

#3 2024-04-11 10:00:45

impossibleveins23
Member
From: Israel
Registered: 2022-06-18
Posts: 135

Re: [Archinstall script] ERROR: Failed to install packages to new root

error: failed to synchronize all databases (unable to lock database)

The lock is in /var/lib/pacman/db.lck but I find it odd that it broke during initial installation.

* Anything else happened during?
* Did you follow all the instructions in Arch Linux installation guide?


* Good formatted problem description will cause good and quick solution smile
* Please don't forget to mark as [SOLVED].

Offline

#4 2024-04-12 09:09:37

UristPenguin
Member
Registered: 2024-04-11
Posts: 3

Re: [Archinstall script] ERROR: Failed to install packages to new root

I was trying to use the archinstall script, after trying with multiple Desktop environments and Boot loaders without success I tried again following the manual steps mentioned on the wiki and was able to install GRUB and Arch linux with a root user.

I think it's a specific issue with the archinstall script since the manual installation seems to have worked out

Other things I tried during installation
* pacman -Sy
* pacman -Sy archlinux-keyring
* Use ISO network drivers / Use Network manager
* tried with GNOME and Hyprland

All resulted in the same error

Offline

#5 2024-04-12 09:30:25

impossibleveins23
Member
From: Israel
Registered: 2022-06-18
Posts: 135

Re: [Archinstall script] ERROR: Failed to install packages to new root

If you still get:

unable to lock database

(and no other pacman is running), you can try removing the lock and see if pacman works again (try to: pacman -Syu).


* Good formatted problem description will cause good and quick solution smile
* Please don't forget to mark as [SOLVED].

Offline

Board footer

Powered by FluxBB